eth_getTransactionCount

Network: Base Sepolia · Testnet · Chain ID 84532 (0x14a34)

Counts as 1 request. See Request Counting.

Returns the number of transactions sent from an address.

Parameters

  1. DATA (20 bytes) — Address.
  2. QUANTITY|TAG — Block number, or "latest", "earliest", "pending".

Returns

QUANTITY — Integer of the number of transactions sent from this address.

Request

{ "jsonrpc": "2.0", "method": "eth_getTransactionCount", "params": ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "latest"], "id": 1 }

Response

{ "jsonrpc": "2.0", "id": 1, "result": "0x29d" }

Code Examples

curl -X POST https://base-sepolia-rpc.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"eth_getTransactionCount","params":["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045","latest"],"id":1}'

Try It